repa-3.2.3.3: High performance, regular, shape polymorphic parallel arrays.

Safe Haskell | None

Data.Array.Repa.Repr.Undefined

Synopsis

- data X

# Documentation

data X Source

An array with undefined elements.

- This is normally used as the last representation in a partitioned array, as the previous partitions are expected to provide full coverage.

Instances

Source X e | Undefined array elements. Inspecting them yields `error`.
(Shape sh, Num e) => Load X sh e |
Structured X a b |
Read sh => Read (Array X sh e) |
Show sh => Show (Array X sh e) |